Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vistech.imagedata
Class ConvolveOpFactory

    java.lang.Object
      |
      +--com.vistech.imagedata.ConvolveOpFactory

public class ConvolveOpFactory
extends java.lang.Object

Constructor Summary
`ConvolveOpFactory()`

Method Summary
`static java.awt.image.BufferedImage` | `createDestImage(java.awt.image.BufferedImage srcImage, java.awt.image.ConvolveOp op)`
`static java.awt.image.ConvolveOp` | `getBlurOp()`
`static java.awt.image.ConvolveOp` | `getConvolveOp(java.awt.image.Kernel kernel)`
`static java.awt.image.ConvolveOp` | `getRobertsHorizOp()`
`static java.awt.image.ConvolveOp` | `getRobertsVertOp()`
`static java.awt.image.ConvolveOp` | `getSharpOp()`
`static java.awt.image.ConvolveOp` | `getSobelHorizOp()`
`static java.awt.image.ConvolveOp` | `getSobelVertOp()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConvolveOpFactory

    public ConvolveOpFactory()

Method Detail

### getBlurOp

    public static java.awt.image.ConvolveOp getBlurOp()

### getSharpOp

    public static java.awt.image.ConvolveOp getSharpOp()

### getSobelVertOp

    public static java.awt.image.ConvolveOp getSobelVertOp()

### getSobelHorizOp

    public static java.awt.image.ConvolveOp getSobelHorizOp()

### getRobertsHorizOp

    public static java.awt.image.ConvolveOp getRobertsHorizOp()

### getRobertsVertOp

    public static java.awt.image.ConvolveOp getRobertsVertOp()

### getConvolveOp

    public static java.awt.image.ConvolveOp getConvolveOp(java.awt.image.Kernel kernel)

### createDestImage

    public static java.awt.image.BufferedImage createDestImage(java.awt.image.BufferedImage srcImage,
                                                               java.awt.image.ConvolveOp op)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD